/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/Storage.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:35
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttStorage BEFORE-TABLE bttStorage
    FIELD all20ft LIKE ec-storage.all20ft
    FIELD all30ft LIKE ec-storage.all30ft
    FIELD all40ft LIKE ec-storage.all40ft
    FIELD all45ft LIKE ec-storage.all45ft
    FIELD areacode LIKE ec-storage.areacode
    FIELD calc_current_historic AS CHARACTER LABEL "Current/Historic"
    FIELD calculation LIKE ec-storage.calculation
    FIELD companycode LIKE ec-storage.companycode
    FIELD costcode LIKE ec-storage.costcode
    FIELD countrycode LIKE ec-storage.countrycode
    FIELD currencycode LIKE ec-storage.currencycode
    FIELD cust_addressnr LIKE ec-storage.cust_addressnr
    FIELD daygatein LIKE ec-storage.daygatein
    FIELD daygateout LIKE ec-storage.daygateout
    FIELD dt_valid_begin LIKE ec-storage.dt_valid_begin
    FIELD dt_valid_end LIKE ec-storage.dt_valid_end
    FIELD free_workingdaysonly LIKE ec-storage.free_workingdaysonly
    FIELD ind_imo LIKE ec-storage.ind_imo
    FIELD ind_inactive LIKE ec-storage.ind_inactive
    FIELD location_arg LIKE ec-storage.location_arg
    FIELD locationcode LIKE ec-storage.locationcode
    FIELD multipletariffs LIKE ec-storage.multipletariffs
    FIELD portcode LIKE ec-storage.portcode
    FIELD remark LIKE ec-storage.remark
    FIELD storage_refnr LIKE ec-storage.storage_refnr
    FIELD subareacode LIKE ec-storage.subareacode
    FIELD tariff_mode LIKE ec-storage.tariff_mode
    FIELD tarifftype LIKE ec-storage.tarifftype
    FIELD typecode LIKE ec-storage.typecode
    FIELD xref_customer AS CHARACTER LABEL "Customer"
    FIELD xref_free_days AS INTEGER LABEL "Free days"
    FIELD xref_free_days_reefer AS INTEGER LABEL "Reefer days free"
    FIELD xref_tariffs AS CHARACTER LABEL "Tariffs"
    FIELD xref_tariffs_reefer AS CHARACTER LABEL "Reefer day tariffs"
.

DEFINE DATASET dsStorage FOR ttStorage.