/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/ContainerHistory.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:56:56
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttContainerHistory BEFORE-TABLE bttContainerHistory
    FIELD blnr LIKE ec-container_history.blnr
    FIELD bookingnr LIKE ec-container_history.bookingnr
    FIELD calc_cust_name AS CHARACTER LABEL "Customer"
    FIELD calc_voyage AS CHARACTER LABEL "Voyage"
    FIELD companycode LIKE ec-container_history.companycode
    FIELD containernr LIKE ec-container_history.containernr
    FIELD containerprefix LIKE ec-container_history.containerprefix
    FIELD customer LIKE ec-container_history.customer
    FIELD damage_remarks LIKE ec-container_history.damage_remarks
    FIELD date_seq LIKE ec-container_history.date_seq
    FIELD des LIKE ec-container_history.des
    FIELD dest_portcode LIKE ec-container_history.dest_portcode
    FIELD dis_locationcode LIKE ec-container_history.dis_locationcode
    FIELD dropoff_refnr LIKE ec-container_history.dropoff_refnr
    FIELD dt_move LIKE ec-container_history.dt_move
    FIELD ext_addressnr LIKE ec-container_history.ext_addressnr
    FIELD ext_alfa_1 LIKE ec-container_history.ext_alfa_1
    FIELD ext_alfa_2 LIKE ec-container_history.ext_alfa_2
    FIELD ext_alfa_3 LIKE ec-container_history.ext_alfa_3
    FIELD ext_alfa_4 LIKE ec-container_history.ext_alfa_4
    FIELD ext_alfa_5 LIKE ec-container_history.ext_alfa_5
    FIELD ext_date_1 LIKE ec-container_history.ext_date_1
    FIELD ext_date_2 LIKE ec-container_history.ext_date_2
    FIELD ext_dec_1 LIKE ec-container_history.ext_dec_1
    FIELD ext_dec_2 LIKE ec-container_history.ext_dec_2
    FIELD ext_int_1 LIKE ec-container_history.ext_int_1
    FIELD ext_int_2 LIKE ec-container_history.ext_int_2
    FIELD ext_linecode LIKE ec-container_history.ext_linecode
    FIELD ext_locationcode LIKE ec-container_history.ext_locationcode
    FIELD ext_motcode LIKE ec-container_history.ext_motcode
    FIELD ext_portcode LIKE ec-container_history.ext_portcode
    FIELD ext_statuscode LIKE ec-container_history.ext_statuscode
    FIELD full_empty LIKE ec-container_history.full_empty
    FIELD ind_damaged LIKE ec-container_history.ind_damaged
    FIELD ind_historic LIKE ec-container_history.ind_historic
    FIELD ind_non_operating_reefer LIKE ec-container_history.ind_non_operating_reefer
    FIELD linecode LIKE ec-container_history.linecode
    FIELD locationcode LIKE ec-container_history.locationcode
    FIELD motcode LIKE ec-container_history.motcode
    FIELD move_refnr LIKE ec-container_history.move_refnr
    FIELD overrule_trace LIKE ec-container_history.overrule_trace
    FIELD pickup_refnr LIKE ec-container_history.pickup_refnr
    FIELD pod_portcode LIKE ec-container_history.pod_portcode
    FIELD pol_portcode LIKE ec-container_history.pol_portcode
    FIELD redelivery_details LIKE ec-container_history.redelivery_details
    FIELD release_refnr LIKE ec-container_history.release_refnr
    FIELD sealno LIKE ec-container_history.sealno
    FIELD servicecode LIKE ec-container_history.servicecode
    FIELD statuscode LIKE ec-container_history.statuscode
    FIELD stow_cell LIKE ec-container_history.stow_cell
    FIELD subleasecontractcode LIKE ec-container_history.subleasecontractcode
    FIELD time_move LIKE ec-container_history.time_move
    FIELD transaction_refnr LIKE ec-container_history.transaction_refnr
    FIELD typecode LIKE ec-container_history.typecode
    FIELD vesselcode LIKE ec-container_history.vesselcode
    FIELD vesselnr LIKE ec-container_history.vesselnr
    FIELD weight LIKE ec-container_history.weight FORMAT "->>>,>>9"
    FIELD xref_consignee AS CHARACTER LABEL "Consignee (CA)"
    FIELD xref_dropoff AS CHARACTER LABEL "Off hire ref"
    FIELD xref_overrule_symbol AS CHARACTER LABEL "Warn"
    FIELD xref_pickup_ref AS CHARACTER LABEL "On hire ref"
    FIELD xref_release AS CHARACTER LABEL "Booking ref"
    FIELD xref_shipper AS CHARACTER LABEL "Shipper (CA)"
    FIELD xref_soc AS LOGICAL LABEL "Sh.own."
.

DEFINE DATASET dsContainerHistory FOR ttContainerHistory.